<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <script src="https://unpkg.com/sweetalert/dist/sweetalert.min.js"></script>
    <link href="https://fonts.googleapis.com/css2?family=Open+Sans:wght@300&display=swap" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css2?family=Saira:wght@100&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.1.3/css/bootstrap.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/ionicons/2.0.1/css/ionicons.min.css">
    <link rel="stylesheet" href="styles/main.css">
    <link rel="stylesheet" href="styles/login.css">
    <title>Operaciones</title>
</head>
<body>
    <header>
        <div class="nav-bar">
            <a class="nav-link" aria-current="page" href="index.html">Conversor</a>
            <a class="nav-link" href="operaciones.html">Operaciones</a>
            <a class="nav-link" href="contacto.html">Contacto</a>
            <a class="nav-link" href="#footer">About</a>
            <button id="dark-mode" class="nav-link btn btn-dark ml-auto">Dark</button>  
        </div>
    </header>
    <div id="modal-container" class="modal-container">
        <div id="modal" class="my-modal">
            <div class="login-box">
                <h2>Login</h2>
                <form>
                  <div class="user-box">
                    <input type="text" name="" required="" id="user-name">
                    <label>Username</label>
                  </div>
                  <div class="user-box">
                    <input type="password" name="" required="" id="pass">
                    <label>Password</label>
                  </div>
                  <a href="#" id="modal-login" >
                    <span></span>
                    <span></span>
                    <span></span>
                    <span></span>
                    Submit
                  </a>
                  <a href="#" id="modal-logout" >
                    <span></span>
                    <span></span>
                    <span></span>
                    <span></span>
                    Cerrar Sesion
                  </a>
                </form>
              </div>
            
        </div>
    </div>

    <div id="saludo-usuario" class="saludo-usuario"></div>

    <h1>Operaciones Generales</h1>
    <div class="contenedor-principal">
        <h2>Cálculo de promedio de notas!</h2>
        <p>Ingresá tus notas y conoce cual es la mayor,la menor y tu promedio.</p>

        <div>
            <label for="">Ingrese la cantidad de parciales:</label>
            <input type="number" id="cantidad-parciales" class="inputs-generales" />
            <button id="boton-siguiente" class="btn btn-outline-light boton-sombra">Siguiente</button>
            <button type="reset" id="resetear" class="btn btn-outline-light boton-sombra">Reset</button>
            <button type="button" id="boton-calcular" class="oculto btn btn-outline-light">Calcular</button>
        </div>
        <div id="notas"></div>
        <div class="oculto" id="resultados">
            <p>La mayor nota es: <strong id="mayor-nota"></strong></p>
            <p>La menor nota es: <strong id="menor-nota"></strong></p>
            <p>El promedio es: <strong id="promedio-nota"></strong></p>
        </div>
    </div>
    <div class="contenedor-principal">
        <h2>Convertidor de celsius a Fahrenheit y viceversa</h2>
        <form action="">
            <label for="">Ingrese la temperatura en grados celsius:</label>
            <input type="number" id="gradoscelsius" class="inputs-generales">
            <button type="button" id="boton-celsius" class="btn btn-outline-light boton-sombra">Calcular</button> 
            <button type="reset" class="btn btn-outline-light boton-sombra" id="reset-temperatura">Reset</button>
        </form>
        <br>
        <form action="">
            <label for="">Ingrese la temperatura en grados Fahrenheit:</label>
            <input type="number" id="gradosFahrenheit" class="inputs-generales">
            <input type="button" id="boton-fahrenheit" class="btn btn-outline-light boton-sombra" value="Calcular">
            <button type="reset" class="btn btn-outline-light boton-sombra" id="reset-temp">Reset</button>
                <div id="resultado-temperatura" class="resultados">
                    <p><strong id="resultado-conversion"></strong></p>
                </div>
        </form>
    </div> 
    <div class="contenedor-principal">
        <h2>Calculadora!</h2>
        <p>Una calculadora normal. Ingresa un primer valor, luego el operador y por último otro valor. Se mostrará debajo!</p>
        <div class="contenedor-numeros-calculadora">
            <label for=""class="input-calculadora">Ingrese el primer número:</label>
            <input type="number" id="numero1"style="width: 150px" class="inputs-generales">
            <label for=""class="input-calculadora">Ingrese un operador:</label>
            <input type="" id="operador" placeholder="+ - * /"style="width: 150px" class="inputs-generales">
            <label for=""class="input-calculadora">Ingrese el segundo número:</label>
            <input type="number" id="numero2"style="width: 150px" class="inputs-generales">
        </div>
        <div class="boton-contenedor">
            <button type="button" id="boton-calculadora" class="btn btn-outline-light boton-sombra">Calcular</button>
            <button type="reset" id="resetea-calculadora" class="btn btn-outline-light boton-sombra">Reset</button>
        </div>
            <div id="resultado-calculadora" class="resultados"></div>
    </div>

    <div class="contenedor-principal">
        <h2>Ejercicio con arrays</h2>
        <p>Ingrese números positivos y negativos y los diferenciará debajo.</p><br>
        <div class="contenedor-numeros-arrays">
            <div class="componente-grid">
                <label for=""class="">Número #1:</label>
                <input type="number" id="numeroArrayUno"style="width: 150px" class="inputs-generales">
            </div>
            <div class="componente-grid">
                <label for=""class="">Número #2:</label>
                <input type="number" id="numeroArrayDos"style="width: 150px" class="inputs-generales">
            </div>
            <div class="componente-grid">
                <label for=""class="">Número #3:</label>
                <input type="number" id="numeroArrayTres"style="width: 150px" class="inputs-generales">
            </div>
            <div class="componente-grid">
                <label for=""class="">Número #4:</label>
                <input type="number" id="numeroArrayCuatro"style="width: 150px" class="inputs-generales">
            </div>
            <div class="componente-grid">
                <label for=""class="">Número #5:</label>
                <input type="number" id="numeroArrayCinco"style="width: 150px" class="inputs-generales">
            </div>
            <div class="componente-grid">
                <label for=""class="">Número #6:</label>
                <input type="number" id="numeroArraySeis"style="width: 150px" class="inputs-generales">
            </div>
        </div>
        <div class="boton-contenedor">
          <button type="button" id="boton-arrays" class="btn btn-outline-light boton-sombra">Mostrar</button>
          <button type="reset" id="reset-arrays" class="btn btn-outline-light boton-sombra">Reset</button>
        </div>  
          <div id="resultado-arrays" class="resultados"></div>
      </div>
  
    <div class="contenedor-principal">
        <h2>Primeros cincuenta números primos!</h2>
        <p>Toque el botón para saber cuales son los primeros 50 números primos.</p>
        <div class="boton-contenedor">
            <button type="button" id="boton-primos" class=" contenedor-calculadora btn btn-outline-light boton-sombra">Mostrar</button>
            <button type="reset" id="reset-primos" class="btn btn-outline-light boton-sombra">Reset</button>
        </div>
        <div id="resultado-primos" class="resultado-primos"></div>
    </div>

    <div class="footer-dark" id="footer">
        <footer>
            <div class="container">
                <div class="row">
                    <div class="col-sm-6 col-md-3 item">
                        <h3>Services</h3>
                        <ul>
                            <li><a href="#">Web design</a></li>
                            <li><a href="#">Development</a></li>
                            <li><a href="#">Hosting</a></li>
                        </ul>
                    </div>
                    <div class="col-sm-6 col-md-3 item">
                        <h3>About</h3>
                        <ul>
                            <li><a href="#">Company</a></li>
                            <li><a href="#">Team</a></li>
                            <li><a href="#">Careers</a></li>
                        </ul>
                    </div>
                    <div class="col-md-6 item text">
                        <h3>Company Name</h3>
                        <p>Esto es una pequeña descripción de la compañia. Buscanos en redes sociales!</p>
                    </div>
                    <div class="col item social">
                        <a href="https://www.facebook.com"><i class="icon ion-social-facebook"></i></a>
                        <a href="https://www.twitter.com"><i class="icon ion-social-twitter"></i></a>
                        <a href="https://www.snapchat.com"><i class="icon ion-social-snapchat"></i></a>
                        <a href="https://www.instagram.com"><i class="icon ion-social-instagram"></i></a>
                    </div>
                </div>
                <p class="copyright">Coderhouse Proyect © 2022</p>
            </div>
        </footer>
    </div>


    <script src="js/loginOperaciones.js"></script>
    <script src="js/operadores.js"></script>
    <script src="js/funciones.js"></script>
    <script src="js/darkMode.js"></script>
</body>
</html>